Package org.eclipse.gef.mvc.fx

## Class MvcFxBundle

- java.lang.Object
- - org.eclipse.gef.mvc.fx.MvcFxBundle

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

    public class MvcFxBundle
    extends java.lang.Object
    implements org.osgi.framework.BundleActivator

The `BundleActivator` for the MVC.FX bundle.

### Field Summary

Fields
`static java.lang.String` `PLUGIN_ID` The plug-in id of the MVC.FX bundle.

### Constructor Summary

Constructors
`MvcFxBundle()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.osgi.framework.BundleContext` `getContext()` If the bundle has been started, returns the `BundleContext` associated to it.
`void` `start​(org.osgi.framework.BundleContext bundleContext)`
`void` `stop​(org.osgi.framework.BundleContext bundleContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

The plug-in id of the MVC.FX bundle.

See Also:
  Constant Field Values

### Constructor Detail

#### MvcFxBundle

    public MvcFxBundle()

### Method Detail

#### getContext

    public static org.osgi.framework.BundleContext getContext()

If the bundle has been started, returns the `BundleContext` associated to it.

Returns:
  The `BundleContext` of the module if this bundle was started (`start(BundleContext)`) and has since not been stopped ( `stop(BundleContext)`), `null` otherwise.

#### start

    public void start​(org.osgi.framework.BundleContext bundleContext)
               throws java.lang.Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Throws:
  `java.lang.Exception`

#### stop

    public void stop​(org.osgi.framework.BundleContext bundleContext)
              throws java.lang.Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Throws:
  `java.lang.Exception`